<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateClientOrdersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: client_orders
         */
        Schema::create('client_orders', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->timestamp('created_at_init')->nullable();
            $table->timestamp('created_at_normalize')->nullable();
            $table->decimal('cost', 50)->nullable();
            $table->decimal('mark_up', 50)->nullable();
            $table->decimal('discount', 50)->nullable();
            $table->tinyInteger('order_type')->nullable();
            $table->smallInteger('order_count')->nullable();
            $table->tinyInteger('reminder_type')->nullable();
            $table->smallInteger('reminder_count')->nullable();
            $table->tinyInteger('accounts')->nullable();
            $table->enum('status', ['complete', 'verify', 'approve', 'publish', 'archive', 'unpublish'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('client_orders');
    }
}
