<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateClientPaysTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: client_pays
         */
        Schema::create('client_pays', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->decimal('amount', 50)->nullable();
            $table->dateTime('date')->nullable();
            $table->enum('status', ['complete', 'verify', 'approve', 'publish', 'archive', 'unpublish'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('client_pays');
    }
}
