<?php

namespace Urdtlv\Clientpays\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind ClientPay policy
        'Urdtlv\Clientpays\Models\ClientPay' => \Urdtlv\Clientpays\Policies\ClientPayPolicy::class,
// Bind ClientOrder policy
        'Urdtlv\Clientpays\Models\ClientOrder' => \Urdtlv\Clientpays\Policies\ClientOrderPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
