<?php

namespace Urdtlv\Clientpays\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind ClientPay workflow validator
        'Urdtlv\Clientpays\Models\ClientPay' => \Urdtlv\Clientpays\Workflow\ClientPayValidator::class,

        // Bind ClientOrder workflow validator
        'Urdtlv\Clientpays\Models\ClientOrder' => \Urdtlv\Clientpays\Workflow\ClientOrderValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind ClientPay workflow actions
        'Urdtlv\Clientpays\Models\ClientPay' => \Urdtlv\Clientpays\Workflow\ClientPayAction::class,

        // Bind ClientOrder workflow actions
        'Urdtlv\Clientpays\Models\ClientOrder' => \Urdtlv\Clientpays\Workflow\ClientOrderAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind ClientPay workflow notifiers
        'Urdtlv\Clientpays\Models\ClientPay' => \Urdtlv\Clientpays\Workflow\ClientPayNotifier::class,

        // Bind ClientOrder workflow notifiers
        'Urdtlv\Clientpays\Models\ClientOrder' => \Urdtlv\Clientpays\Workflow\ClientOrderNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
