<?php

namespace Urdtlv\Clientpays\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ClientOrderTransformer extends TransformerAbstract
{
    public function transform(\Urdtlv\Clientpays\Models\ClientOrder $client_order)
    {
        return [
            'id'                => $client_order->getRouteKey(),
            'key'               => [
                'public'    => $client_order->getPublicKey(),
                'route'     => $client_order->getRouteKey(),
            ], 
            'user_id'           => $client_order->user_id,
            'user_type'         => $client_order->user_type,
            'created_at_init'   => $client_order->created_at_init,
            'created_at_normalize' => $client_order->created_at_normalize,
            'cost'              => $client_order->cost,
            'mark_up'           => $client_order->mark_up,
            'discount'          => $client_order->discount,
            'order_type'        => $client_order->order_type,
            'order_count'       => $client_order->order_count,
            'reminder_type'     => $client_order->reminder_type,
            'reminder_count'    => $client_order->reminder_count,
            'accounts'          => $client_order->accounts,
            'status'            => $client_order->status,
            'url'               => [
                'public'    => trans_url('clientpays/'.$client_order->getPublicKey()),
                'user'      => guard_url('clientpays/client_order/'.$client_order->getRouteKey()),
            ], 
            'status'            => trans('app.'.$client_order->status),
            'created_at'        => format_date($client_order->created_at),
            'updated_at'        => format_date($client_order->updated_at),
        ];
    }
}