<?php

namespace Urdtlv\Clientpays\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ClientPayTransformer extends TransformerAbstract
{
    public function transform(\Urdtlv\Clientpays\Models\ClientPay $client_pay)
    {
        return [
            'id'                => $client_pay->getRouteKey(),
            'key'               => [
                'public'    => $client_pay->getPublicKey(),
                'route'     => $client_pay->getRouteKey(),
            ], 
            'user_id'           => $client_pay->user_id,
            'user_type'         => $client_pay->user_type,
            'amount'            => $client_pay->amount,
            'date'              => $client_pay->date,
            'status'            => $client_pay->status,
            'url'               => [
                'public'    => trans_url('clientpays/'.$client_pay->getPublicKey()),
                'user'      => guard_url('clientpays/client_pay/'.$client_pay->getRouteKey()),
            ], 
            'status'            => trans('app.'.$client_pay->status),
            'created_at'        => format_date($client_pay->created_at),
            'updated_at'        => format_date($client_pay->updated_at),
        ];
    }
}