<?php

namespace Urdtlv\Clientpays\Workflow;

use Urdtlv\Clientpays\Models\ClientOrder;
use Urdtlv\Clientpays\Notifications\ClientOrderWorkflow as ClientOrderNotifyer;
use Notification;

class ClientOrderNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ClientOrder $client_order
     *
     * @return void
     */
    public function complete(ClientOrder $client_order)
    {
        return Notification::send($client_order->user, new ClientOrderNotifyer($client_order, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ClientOrder $client_order
     *
     * @return void
     */
    public function verify(ClientOrder $client_order)
    {
        return Notification::send($client_order->user, new ClientOrderNotifyer($client_order, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ClientOrder $client_order
     *
     * @return void
     */
    public function approve(ClientOrder $client_order)
    {
        return Notification::send($client_order->user, new ClientOrderNotifyer($client_order, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ClientOrder $client_order
     *
     * @return void
     */
    public function publish(ClientOrder $client_order)
    {
        return Notification::send($client_order->user, new ClientOrderNotifyer($client_order, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ClientOrder $client_order
     *
     * @return void
     */
    public function archive(ClientOrder $client_order)
    {
        return Notification::send($client_order->user, new ClientOrderNotifyer($client_order, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ClientOrder $client_order
     *
     * @return void
     */
    public function unpublish(ClientOrder $client_order)
    {
        return Notification::send($client_order->user, new ClientOrderNotifyer($client_order, 'unpublish'));;

    }
}
