<?php

namespace Urdtlv\Clientpays\Workflow;

use Urdtlv\Clientpays\Models\ClientPay;
use Urdtlv\Clientpays\Notifications\ClientPayWorkflow as ClientPayNotifyer;
use Notification;

class ClientPayNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ClientPay $client_pay
     *
     * @return void
     */
    public function complete(ClientPay $client_pay)
    {
        return Notification::send($client_pay->user, new ClientPayNotifyer($client_pay, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ClientPay $client_pay
     *
     * @return void
     */
    public function verify(ClientPay $client_pay)
    {
        return Notification::send($client_pay->user, new ClientPayNotifyer($client_pay, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ClientPay $client_pay
     *
     * @return void
     */
    public function approve(ClientPay $client_pay)
    {
        return Notification::send($client_pay->user, new ClientPayNotifyer($client_pay, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ClientPay $client_pay
     *
     * @return void
     */
    public function publish(ClientPay $client_pay)
    {
        return Notification::send($client_pay->user, new ClientPayNotifyer($client_pay, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ClientPay $client_pay
     *
     * @return void
     */
    public function archive(ClientPay $client_pay)
    {
        return Notification::send($client_pay->user, new ClientPayNotifyer($client_pay, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ClientPay $client_pay
     *
     * @return void
     */
    public function unpublish(ClientPay $client_pay)
    {
        return Notification::send($client_pay->user, new ClientPayNotifyer($client_pay, 'unpublish'));;

    }
}
